Index: gutenbach-itunes-plugin/INSTALL
===================================================================
--- gutenbach-itunes-plugin/INSTALL	(revision 3fde6d52490697604879260316f9d9bb57135d93)
+++ gutenbach-itunes-plugin/INSTALL	(revision 3fde6d52490697604879260316f9d9bb57135d93)
@@ -0,0 +1,50 @@
+-----------------
+iTunes -> sipbmp3
+-----------------
+This is a simple little script which sends
+music from an iTunes library to the sipbmp3
+lpr server.
+
+* Changelog
+9 Jan 2009 -> price added 'quoted form'
+7 Jan 2009 -> kmill created initial version
+
+* System Requirements
+This script will only work under Mac OS X as
+it uses AppleScript.
+
+* Installation
+There are two parts:
+
+1) Launch the Printer Setup Utility and add
+   an IP Printer with the LPD protocol with
+   the following information:
+    Address: zygorthian-space-raiders.mit.edu
+    Queue: sipbmp3
+   It is not necessary to specify the driver.
+
+2) Create the directory ~/Library/iTunes/Scripts
+   and place the "Send to sipbmp3.scpt" file
+   within.
+
+* Usage
+When in iTunes, select the songs which you
+would like to hear in the office, and click
+"Send to sipbmp3" in the script menu from
+the menu bar.  The script menu looks like a
+little scroll icon.  There will be no
+feedback beyond the pleasant sounds you now
+hear around you.
+
+* Todo
+As it is, there is no feedback, even in the
+event of failure.  This is decidedly not
+optimal.
+
+* And so...
+Do whatever you want with it.  I'd like to
+have a copy if you extend it.
+
+Kyle Miller
+kmill@mit.edu
+
Index: gutenbach-itunes-plugin/Send to sipbmp3.source.txt
===================================================================
--- gutenbach-itunes-plugin/Send to sipbmp3.source.txt	(revision 3fde6d52490697604879260316f9d9bb57135d93)
+++ gutenbach-itunes-plugin/Send to sipbmp3.source.txt	(revision 3fde6d52490697604879260316f9d9bb57135d93)
@@ -0,0 +1,49 @@
+-- -----------------
+-- iTunes -> sipbmp3
+-- -----------------
+-- This is a simple little script which sends
+-- music from an iTunes library to the sipbmp3
+-- lpr server.
+--
+-- Changelog:
+--
+-- 9 Jan 2009 -> price added 'quoted form'
+-- 7 Jan 2009 -> kmill created initial version
+--
+-- Installation:
+--
+-- 1) Launch the Printer Setup Utility and add
+--    an IP Printer with the LPD protocol with
+--    the following information:
+--     Address: zygorthian-space-raiders.mit.edu
+--     Queue: sipbmp3
+--    It is not necessary to specify the driver.
+--
+-- 2) Create the directory ~/Library/iTunes/Scripts
+--    and place the "Send to sipbmp3.scpt" file
+--    within.
+--
+-- Usage:
+--
+-- When in iTunes, select the songs which you
+-- would like to hear in the office, and click
+-- "Send to sipbmp3" in the script menu from
+-- the menu bar.  The script menu looks like a
+-- little scroll icon.  There will be no
+-- feedback beyond the pleasant sounds you now
+-- hear around you.
+
+set lista to {}
+
+tell application "iTunes"
+	repeat with t in selection
+		if class of t is (file track) then
+			set loc to POSIX path of (get location of t)
+			set end of lista to "lpr -o raw -Psipbmp3 " & (quoted form of loc)
+		end if
+	end repeat
+end tell
+
+repeat with com in lista
+	do shell script com
+end repeat
Index: tenbach-rhythmbox-plugin/README
===================================================================
--- gutenbach-rhythmbox-plugin/README	(revision 5224c0758df7bd0ad87826cab8999d99c420d5af)
+++ 	(revision )
@@ -1,23 +1,0 @@
-This is a plugin for the Rhythmbox music player, which enables
-Gutenbach users to easily queue music.
-
-Plugin written by Nimrod Gileadi, copyright 2010.
-
-Questions or comments should be directed at gutenbach@mit.edu
-
-INSTALLATION:
-
-1) Move the folder 'pikamp3' and its contents to
-~/.gnome2/rhythmbox/plugins/.  You will have to edit __init.py__,
-replacing "printername" and "hostname" with the desired values (e.g.,
-"sipbmp3" and "zsr.mit.edu").
-
-2) Open rhythmbox, and navigate the 'Edit' menu.  Select 'Plugins'.
-
-3) Check the box next to 'gutenbach'.
-
-4) To queue a song/songs, highlight them, and right click and select
-'Send to gutenbach'.
-
-TODO:
-- turn this into a debian package to auto generate the config file
Index: tenbach-rhythmbox-plugin/__init__.py
===================================================================
--- gutenbach-rhythmbox-plugin/__init__.py	(revision 61c50434af4f740357ebd00742384ea7fddd18d3)
+++ 	(revision )
@@ -1,69 +1,0 @@
-"""
-This module implements a Rhythmbox plugin that sends selected track to a
-printer queue. It's meant to be used with gutenbach, a music spooling printer
-server.
-
-The plugin uses lpr to send the files to gutenbach.
-"""
-import gtk
-import rb
-import subprocess
-import urllib
-import urlparse
-
-# UI Change is an extra item added to right-click menu when clicking on tracks
-popup_ui = """
-<ui> 
-  <popup name="BrowserSourceViewPopup"> 
-    <menuitem name="Gutenbach" action="SendToGutenbach"/>
-  </popup>
-</ui>
-"""
-class GutenbachPlugin(rb.Plugin):
-    def __init__(self):
-        rb.Plugin.__init__(self)
-
-    def activate(self, shell):
-        """Adds a new item to the right-click menu which allows
-        sending music files to the gutenbach server.
-        """
-        self.shell = shell
-        # Create action for sending a track to gutenbach
-        action = gtk.Action('SendToGutenbach', _('Send to gutenbach'),
-                _("Queue selected tracks to the gutenbach server."),
-                "")
-        action.connect('activate', self.gutenbach_action, shell)
-        action_group = gtk.ActionGroup('GutenbachActionGroup')
-        action_group.add_action(action)
-        manager = shell.get_ui_manager()
-        manager.insert_action_group(action_group)
-        manager.add_ui_from_string(popup_ui)
-
-        # Default configuration options
-        self.printer = "printername"
-        self.printer_host = "hostname"
-
-    def deactivate(self, shell):
-        del self.shell
-
-    def gutenbach_action(self, action, shell):
-        """An action called when the user clicks the right-click menu item
-        to send a track to gutenbach.
-        This function calls an instance of lpr for each file to be added.
-        """
-        source = shell.get_property("selected-source")
-        # For each track currently selected in the song browser
-        for entry in source.get_entry_view().get_selected_entries():
-            # Only play files that are stored on the user's computer
-            uri = entry.get_playback_uri()
-            p = urlparse.urlparse(urllib.unquote(uri))
-            if p.scheme == "file":
-                path = p.path
-                if self.printer_host:
-                    printer = '@'.join([self.printer, self.printer_host])
-                else:
-                    printer = self.printer
-                command = 'lpr -P %s "%s"' % (printer, path)
-                print "About to run command '%s'" % command
-                subprocess.Popen(command, shell=True)
-
Index: tenbach-rhythmbox-plugin/gutenbach-prefs.ui
===================================================================
--- gutenbach-rhythmbox-plugin/gutenbach-prefs.ui	(revision 0159c0a25905932d89659336d73d160f46a6b9f1)
+++ 	(revision )
@@ -1,115 +1,0 @@
-<?xml version="1.0"?>
-<interface>
-  <requires lib="gtk+" version="2.16"/>
-  <!-- interface-naming-policy project-wide -->
-  <object class="GtkDialog" id="gutenbach-prefs">
-    <property name="border_width">5</property>
-    <property name="title" translatable="yes">gutenbach Configuration</property>
-    <property name="type_hint">dialog</property>
-    <property name="has_separator">False</property>
-    <child internal-child="vbox">
-      <object class="GtkVBox" id="dialog-vbox1">
-        <property name="visible">True</property>
-        <property name="orientation">vertical</property>
-        <property name="spacing">2</property>
-        <child>
-          <object class="GtkVBox" id="vbox1">
-            <property name="visible">True</property>
-            <property name="orientation">vertical</property>
-            <child>
-              <object class="GtkVBox" id="vbox2">
-                <property name="visible">True</property>
-                <property name="orientation">vertical</property>
-                <child>
-                  <object class="GtkLabel" id="printer_label">
-                    <property name="visible">True</property>
-                    <property name="xalign">0</property>
-                    <property name="label" translatable="yes">Printer name:</property>
-                  </object>
-                  <packing>
-                    <property name="position">0</property>
-                  </packing>
-                </child>
-                <child>
-                  <object class="GtkEntry" id="printer_entry">
-                    <property name="visible">True</property>
-                    <property name="can_focus">True</property>
-                    <property name="invisible_char">&#x25CF;</property>
-                    <property name="text" translatable="yes">pikamp3</property>
-                  </object>
-                  <packing>
-                    <property name="position">1</property>
-                  </packing>
-                </child>
-              </object>
-              <packing>
-                <property name="expand">False</property>
-                <property name="position">0</property>
-              </packing>
-            </child>
-            <child>
-              <object class="GtkVBox" id="vbox3">
-                <property name="visible">True</property>
-                <property name="orientation">vertical</property>
-                <child>
-                  <object class="GtkLabel" id="host_label">
-                    <property name="visible">True</property>
-                    <property name="xalign">0</property>
-                    <property name="label" translatable="yes">Printer host:</property>
-                  </object>
-                  <packing>
-                    <property name="position">0</property>
-                  </packing>
-                </child>
-                <child>
-                  <object class="GtkEntry" id="host_entry">
-                    <property name="visible">True</property>
-                    <property name="can_focus">True</property>
-                    <property name="invisible_char">&#x25CF;</property>
-                  </object>
-                  <packing>
-                    <property name="position">1</property>
-                  </packing>
-                </child>
-              </object>
-              <packing>
-                <property name="expand">False</property>
-                <property name="position">1</property>
-              </packing>
-            </child>
-          </object>
-          <packing>
-            <property name="position">1</property>
-          </packing>
-        </child>
-        <child internal-child="action_area">
-          <object class="GtkHButtonBox" id="dialog-action_area1">
-            <property name="visible">True</property>
-            <property name="layout_style">end</property>
-            <child>
-              <object class="GtkButton" id="OK">
-                <property name="label" translatable="yes">OK</property>
-                <property name="visible">True</property>
-                <property name="can_focus">True</property>
-                <property name="receives_default">True</property>
-              </object>
-              <packing>
-                <property name="expand">False</property>
-                <property name="fill">False</property>
-                <property name="position">0</property>
-              </packing>
-            </child>
-          </object>
-          <packing>
-            <property name="expand">False</property>
-            <property name="pack_type">end</property>
-            <property name="position">0</property>
-          </packing>
-        </child>
-      </object>
-    </child>
-    <action-widgets>
-      <action-widget response="0">OK</action-widget>
-    </action-widgets>
-  </object>
-</interface>
Index: tenbach-rhythmbox-plugin/gutenbach.rb-plugin
===================================================================
--- gutenbach-rhythmbox-plugin/gutenbach.rb-plugin	(revision 0159c0a25905932d89659336d73d160f46a6b9f1)
+++ 	(revision )
@@ -1,7 +1,0 @@
-[RB Plugin]
-Loader=python
-Module=gutenbach
-IAge=1
-Name=gutenbach
-Description="Print" tunes to the gutenbach server
-Authors=Nimrod Gileadi <nimrodg@mit.edu>
